Subject: RE: IP & ARP over fibrechannel Draft

From: Raj Bhagwat <[email-masked]>
Date: Fri, 13 Nov 1998 11:11:19 -0800

Sunil,

I did not entirely understand the steps you described but I think I
understand what you are asking. Here is how it works.

If station A wants to send an IP datagram to station B, it first sends an
ARP Request using FC broadcast. When station B receives the ARP Request, it
extracts the WWPN of station A from the payload. If it knows the Port_ID
corresponding to that WWPN, it will format an ARP Reply and send it to
station A. If station B does not know the Port_ID of station A, it has to
discover that using Name Server or FARP or by gleaning the information in
the FC header of the ARP Request. If station B is not logged into station A,
it needs to do that before sending the ARP Reply. When station A receives
ARP Reply, it will know the WWPN for the IP address to which the datagram
needs to be sent. If station A does not know the Port_ID for the WWPN of
station B, it again has to use one of the above mentioned methods to
discover that.

If station B has multiple FC ports, each port needs to have its own IP
address. You cannot bind a single IP address to multiple WWPNs. However,
multiple IP addresses can be bound to a single WWPN. This is very similar to
how things are done in LANs. When a multihomed FC device receives an ARP
Request, only the port whose IP address matches the IP address of target in
the ARP Request sends the reply. Other ports should not reply.

Hope this answers your question. To join the list send email to
[email-masked] with 'subscribe ipfc' mentioned in the body.
If you post any message to [email-masked], you will be
automatically added to the list.

Regards,

Raj Bhagwat
Gadzoox Networks

> -----Original Message-----
> From: Sunil Shanthaveeraiah 
> [mailto:[email-masked]]
> Sent: Thursday, November 12, 1998 8:54 PM
> To: [email-masked]; [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: QUE: IP & ARP over fibrechannel Draft
> 
> 
> Hello,
> 
> 	Firstly, I apologize for sending this mail to you folks directly
> 	but I didn't know the right forum to send this query to. 
> 	
> 	I was browsing through the IP and ARP over Fibrechannel draft
> 	on the ietf website and had a query about Fibre channel adapters
> 	that have more than one fibre channel interfaces (N_ports
> 	basically) on them.
> 	
> 	How does a host identify the port for which a IP datagram is
> 	intended, when we have Adapters with multiple FC ports? Is
> 	this issue adressed in any related documents? Any pointers
> 	would be really appreciated.
> 	
> 	To be more precise about my query, I have a host that wishes
> 	to send an IP datagram to another host on a fabric. At the
> 	beginning of an exchange we attempt to establish contact with
> 	the destination N_Port (by logging in if we haven't logged on
> 	or issuing an FARP ELS etc..). I would get the WorldWide
> 	PortName of the destination port (we use a NAA_ID of 0010 or
> 	IEEE extended) and even its IP address. The problem is when
> 	sending data to the destination port I would only be aware
> 	of the MAC addr from which I can only get the Node WWN of the
> 	destination node. When we have FibreChannel adapters with
> 	multiple FC ports (or interfaces), some or all of which may be
> 	connected to the fabric, how do we identify the destination
> 	port's PortWWN? Do we have to look into the payload to determine
> 	the port's identity?
> 	
> 	I am aware that the draft explicity mentions a IEEE NAA_ID for
> 	the Port Names, but we are beginning to see fibre 
> channel adapters
> 	with more than one port in the market and hence this query.
> 	
> 	Please let me know if my concern is unwarrented. Also, is there
> 	an appropriate forum/discussion group where I can post my
> 	queries.
> 	
> 	Thanks much for your time and apologies again for this direct
> 	email.
> 	
> TIA
> 
> Rgds
> 
> Sunil Shanthaveeraiah
> Sun Microsystems
> ph: 510-574-9112
> email: [email-masked]
>